/* 
 * File: prefs.h
 * Project: DXF to RIB
 *  (c) SPDsoft Tuesday, June 21, 1994, GTIC
 */

/*********************************************************/
/* Preferences */

/* this structure will contain the prefs for the application */

#define boolean	int
#ifndef __TYPES__
#define true    1
#define false   0
#endif

#define g_VerboseLevel Prefs.verbose

typedef struct {
	int		verbose;
	int		tostdout;
	int 	fromstdin;
	int		structured;
	int		phong;
	int		P4;
	int		max_vertex;
	int		max_blocks;
	float	radius;
	FILE*	shaderf;
} PrefsType;

extern PrefsType Prefs;
extern boolean GetPrefs(PrefsType *PrefsPtr, int argc, char *argv[] );

